[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# LogAllEventsExtra

All possible event types that must be reported

## Declaration

Source position: sqldb.pp line 44

`const LogAllEventsExtra = [detCustom, detPrepare, detExecute, detFetch, detCommit, detRollBack, detParamValue, detActualSQL];`

## Description

LogAllEventsExtra lists all possible even types that can be reported using the connection logging mechanism.

## See also

#fcl.sqltypes.TDBEventType |  | Type of database event
GlobalDBLogHook |  | Global logging hook
TSQLConnection.LogEvents |  | Filter for events to log
TSQLConnection.OnLog |  | Event handler for logging events